Package org.apache.nutch.parse.tika

## Class HTMLMetaProcessor

- java.lang.Object
- - org.apache.nutch.parse.tika.HTMLMetaProcessor

-     public class HTMLMetaProcessor
      extends Object

  Class for parsing META Directives from DOM trees. This class handles specifically Robots META directives (all, none, nofollow, noindex), finding BASE HREF tags, and HTTP-EQUIV no-cache instructions. All meta directives are stored in a HTMLMetaTags instance.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HTMLMetaProcessor()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `getMetaTags​(HTMLMetaTags metaTags, Node node, URL currURL)` | Sets the indicators in `robotsMeta` to appropriate values, based on any META tags found under the given `node`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HTMLMetaProcessor

          public HTMLMetaProcessor()

  - ### Method Detail

    - #### getMetaTags

          public static final void getMetaTags​(HTMLMetaTags metaTags,
                                               Node node,
                                               URL currURL)

      Sets the indicators in `robotsMeta` to appropriate values, based on any META tags found under the given `node`.
      Parameters:
        `metaTags` - a `HTMLMetaTags` to populate with tags discovered in the given Node
        `node` - a DOM `Node` to process and extract metadata from
        `currURL` - the cononical URL associated with the metatags and Node